<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />	
	<title>Calculadora</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="estilo.css">
</head>

<body >
	<div class="principal">
		<form name="calculadora">
	<table>
	  <tr>
	  	<td colspan="4" class="texto">
	  		<input type="textfild" id = "resultado" name="resultado" value="  " class="text">
	  	</td>
	  </tr>

	  <tr>
	    <td><input type="button" value="AC" onclick="limpiar();"> </td>
	    <td><input type="button" value="+/-"></td>
	    <td><input type="button" value="%"></td>
	    <td><input type="button" value="/" class="btn-color" onClick="document.calculadora.resultado.value+='/'"></td>
	  </tr>
	  <tr>
	    <td><input type="button" value="7" onclick="numero('7')"></td>


	    <td><input type="button" value="8" onclick="numero('8')"></td>
	    <td><input type="button" value="9" onclick="numero('9')"></td>
	    <td><input type="button" value="*" class="btn-color" onClick="document.calculadora.resultado.value+='*'"></td>
	  </tr>
	  <tr>
	    <td><input type="button" value="4" onclick="numero('4')"></td>
	    <td><input type="button" value="5" onclick="numero('5')"></td>
	    <td><input type="button" value="6" onclick="numero('6')"></td>
	    <td><input type="button" value="-" class="btn-color" onClick="document.calculadora.resultado.value+='-'"></td>
	  </tr>
	    <tr>
	    <td><input type="button" value="1" onclick="numero('1')"></td>
	    <td><input type="button" value="2" onclick="numero('2')"></td>
	    <td><input type="button" value="3" onclick="numero('3')"></td>
	    <td><input type="button" value="+" class="btn-color" onClick="document.calculadora.resultado.value+='+'"></td>
	  </tr>
	  <tr>
	    <td colspan="2">
	    	<input type="button" value="0" class="btn-cero" onClick="document.calculadora.resultado.value+='0'"></td>
	    <td><input type="button" value="." onClick="document.calculadora.resultado.value+='.'"></td>
	    <td><input type="button" id="=" value="=" class="btn-color" onclick= "calcular();"></td>            
	  </tr>
    </table>

</form>

	</div>
<script>

	function numero(n){
 
        var res = document.calculadora.resultado.value;
        if (res=="0" && n!="."){
            result=res.replace("0", "")
            document.calculadora.resultado.value = result + n;
 
        }else{
            document.calculadora.resultado.value = res + n;
        }
    }
 
	function calcular (){
		document.calculadora.resultado.value=eval(document.calculadora.resultado.value);
	}
	function limpiar (){
		document.getElementById("resultado").value= " ";
	}

</script>


<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>